petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMConvert

Converts a DM to another DM, either of the same or different type.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMConvert(DM dm, DMType newtype, DM *M)

Collective on DM

### Input Parameters

| dm | - the DM
| newtype | - new DM type (use "same" for the same type)

### Output Parameter

M -pointer to new DM

### Notes

Cannot be used to convert a sequential DM to parallel or parallel to sequential, the MPI communicator of the generated DM is always the same as the communicator of the input DM.

### See Also

DMCreate()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html

### Implementations

DMConvert_plex_pforest in src/dm/impls/forest/p4est/pforest.c
DMConvert_pforest_plex in src/dm/impls/forest/p4est/pforest.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages